Shipping - Void
curl --request DELETE \
--url https://app.skulabs.com/s/ship/shipping/void \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"shipment_id": "507f1f77bcf86cd799439011",
"tracking_number": "<string>",
"no_refresh": true,
"carrier_shipment_id": "<string>",
"force_void": true
}
'import requests
url = "https://app.skulabs.com/s/ship/shipping/void"
payload = {
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"shipment_id": "507f1f77bcf86cd799439011",
"tracking_number": "<string>",
"no_refresh": True,
"carrier_shipment_id": "<string>",
"force_void": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
store_id: '507f1f77bcf86cd799439011',
order_number: '<string>',
shipment_id: '507f1f77bcf86cd799439011',
tracking_number: '<string>',
no_refresh: true,
carrier_shipment_id: '<string>',
force_void: true
})
};
fetch('https://app.skulabs.com/s/ship/shipping/void', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "507f1f77bcf86cd799439011",
"shipments": [
{
"_id": "507f1f77bcf86cd799439011",
"request": {
"parcel": {
"length": 123,
"width": 123,
"height": 123,
"weight": 123,
"template": "<string>",
"template_carrier": "<string>"
},
"address": {
"name": "<string>",
"company": "<string>",
"street": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "US",
"phone": "<string>",
"email": "<string>",
"residential": true
},
"_id": "507f1f77bcf86cd799439011",
"store_id": "507f1f77bcf86cd799439011",
"origin_address": {
"name": "<string>",
"company": "<string>",
"street": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "US",
"phone": "<string>",
"email": "<string>",
"residential": true
},
"return_address": {
"name": "<string>",
"company": "<string>",
"street": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "US",
"phone": "<string>",
"email": "<string>",
"residential": true
},
"rate": {
"service": "<string>",
"service_code": "<string>",
"carrier_account": {
"_id": "507f1f77bcf86cd799439011",
"name": "<string>"
}
},
"carrier_account_ids": [
"<string>"
],
"order_items": [
{
"sku": "<string>",
"item_id": "507f1f77bcf86cd799439011",
"quantity": 123,
"location_id": "507f1f77bcf86cd799439011"
}
],
"customs_items": [
{
"description": "<string>",
"quantity": 123,
"value": 123,
"weight": 123,
"hs_tariff_number": "<string>",
"origin_country": "US"
}
],
"signature_confirmation": true,
"insurance_amount": 123,
"insurance_type": "<string>",
"return_label": true,
"reference_1": "<string>",
"reference_2": "<string>",
"format": "<string>",
"currency": "USD",
"origin": "507f1f77bcf86cd799439011",
"shipping_date": "2025-01-15",
"should_deduct": true
},
"response": {
"provider": "<string>",
"service": "<string>",
"tracking_number": "<string>",
"shipment_id": "<string>",
"amount": 123,
"label_url": "<string>",
"fees": 123
},
"time": "2025-01-15T12:00:00.000Z",
"manual_shipment": true,
"deducted": true
}
]
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Shipping
Shipping - Void
Void a shipment, cancelling the shipping label and optionally restoring inventory.
DELETE
/
s
/
ship
/
shipping
/
void
Shipping - Void
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Store ID
Example:
"507f1f77bcf86cd799439011"
Order number
SKULabs shipment ID
Example:
"507f1f77bcf86cd799439011"
Tracking number to identify the shipment
Skip cache refresh after voiding
Carrier-specific shipment ID
Force void even if carrier void fails
⌘I